Class
ModifiedIterator
Allows to modify arbitrary iterators by specializing what differs from an origin.

RandomAccessIteratorConcept

ModifiedIterator

ModReverse | ModView

ModifiedIterator<THost[, TSpec]>
Include Headers
seqan/modifier.h
Parameters

THost | Original iterator. Types: RandomAccessIteratorConcept
TSpec | The modifier type. Metafunctions: Spec

Remarks
THost can also be a modified iterator, so you can create custom iterators by combining predefined ones.
Implements
RandomAccessIteratorConcept
Specializations

ModReverse | Mirrors the characters from begin to end.
ModView | Transforms the characters of the THost string/iterator using a custom function.

Functions

difference | The difference between two iterators. (RandomAccessIteratorConcept)
getValue | Access to the value. (IteratorAssociatedTypesConcept)
goFurther | Iterates some steps further. (RandomAccessIteratorConcept)
goNext | Iterates to next position. (ForwardIteratorConcept)
goPrevious | Iterates to pevious position. (BidirectionalIteratorConcept)
value | Reference to the value. (IteratorAssociatedTypesConcept)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56